com.microfocus.awm.meta.interfaces

## Enum ERunAsJobTypes

- java.lang.Object
- - java.lang.Enum<ERunAsJobTypes>
  - - com.microfocus.awm.meta.interfaces.ERunAsJobTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ERunAsJobTypes>, org.eclipse.emf.common.util.Enumerator

      public enum ERunAsJobTypes
      extends java.lang.Enum<ERunAsJobTypes>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the way an ISPF can be executed as job: NO, Tool Job, Model Job
  See Also:
    `TaurusPackage.getERunAsJobTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` The 'NO' literal object.
    `TAURUS_JOB` The 'TAURUS Job' literal object.
    `TOOL_JOB` The 'Tool Job' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_VALUE` The 'NO' literal value.
    `static int` | `TAURUS_JOB_VALUE` The 'TAURUS Job' literal value.
    `static int` | `TOOL_JOB_VALUE` The 'Tool Job' literal value.
    `static java.util.List<ERunAsJobTypes>` | `VALUES` A public read-only list of all the 'ERun As Job Types' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ERunAsJobTypes` | `get(int value)` Returns the 'ERun As Job Types' literal with the specified integer value.
    `static ERunAsJobTypes` | `get(java.lang.String literal)` Returns the 'ERun As Job Types' literal with the specified literal value.
    `static ERunAsJobTypes` | `getByName(java.lang.String name)` Returns the 'ERun As Job Types' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ERunAsJobTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ERunAsJobTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO

          public static final ERunAsJobTypes NO

      The 'NO' literal object.
      See Also:
        `NO_VALUE`

    - #### TAURUS_JOB

          public static final ERunAsJobTypes TAURUS_JOB

      The 'TAURUS Job' literal object.
      See Also:
        `TAURUS_JOB_VALUE`

    - #### TOOL_JOB

          public static final ERunAsJobTypes TOOL_JOB

      The 'Tool Job' literal object.
      See Also:
        `TOOL_JOB_VALUE`

  - ### Field Detail

    - #### NO_VALUE

          public static final int NO_VALUE

      The 'NO' literal value.
      See Also:
        `NO`, Constant Field Values

    - #### TAURUS_JOB_VALUE

          public static final int TAURUS_JOB_VALUE

      The 'TAURUS Job' literal value.
      See Also:
        `TAURUS_JOB`, Constant Field Values

    - #### TOOL_JOB_VALUE

          public static final int TOOL_JOB_VALUE

      The 'Tool Job' literal value.
      See Also:
        `TOOL_JOB`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ERunAsJobTypes> VALUES

      A public read-only list of all the 'ERun As Job Types' enumerators.

  - ### Method Detail

    - #### values

          public static ERunAsJobTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ERunAsJobTypes c : ERunAsJobTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ERunAsJobTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ERunAsJobTypes get(java.lang.String literal)

      Returns the 'ERun As Job Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ERunAsJobTypes getByName(java.lang.String name)

      Returns the 'ERun As Job Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ERunAsJobTypes get(int value)

      Returns the 'ERun As Job Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ERunAsJobTypes>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.